<?php




namespace ln\listens;


use app\common\repositories\store\order\PresellOrderRepository;
use ln\interfaces\ListenerInterface;
use ln\services\TimerService;
use Swoole\Timer;
use think\facade\Log;

class AuthCancelPresellOrderListen extends TimerService implements ListenerInterface
{

    public function handle($event): void
    {
        $this->tick(1000 * 60 * 1.5, function () {
            $presellOrderRepository = app()->make(PresellOrderRepository::class);
            $ids = $presellOrderRepository->getTimeOutIds(date('Y-m-d H:i:s'));
            foreach ($ids as $id) {
                try {
                    $presellOrderRepository->cancel($id);
                } catch (\Exception $e) {
                    Log::info('自动关闭尾款订单失败' . var_export($id, 1));
                }
            }
        });
    }
}